[![npm](https://nodei.co/npm/v8-print-code-filter.png)](https://nodei.co/npm/v8-print-code-filter/)

# v8-print-code-filter

[![Dependency Status][david-badge]][david]

Filter [V8][v8] dump generated by `--print-code` or `--print-opt-code` by name, source position, optimization id and so on.

[v8]: https://code.google.com/p/v8-wiki/

[david]: https://david-dm.org/eush77/v8-print-code-filter
[david-badge]: https://david-dm.org/eush77/v8-print-code-filter.png

## Example

```
$ v8-print-code-filter --name fs.writeSync example/print_code
$ node --print-code example/source.js |v8-print-code-filter --optimization-id=1
$ v8-print-code-filter --source-position=96 example/print_opt_code
```

## CLI

```
Usage:  v8-print-code-filter [filter_expr]... [file]

Options:
  --help  Show help  [boolean]
```

Each `filter_expr` is a combination of an option key and value and describes a single attribute line.

E.g. `--source-position=96` matches the following code section (among one that contains function source):

```
--- Optimized code ---
optimization_id = 1
source_position = 96
kind = OPTIMIZED_FUNCTION
name = add
...
```

Multiple options are ORd, so that `--source-position=96 --source-position=144` matches either one.

## Install

```
npm install -g v8-print-code-filter
```

## License

MIT
